/** @file

SIN2 class implementation

Copyright (C) 2002-2005   The Board of Trustees of The Leland
Stanford Junior University.  All Rights Reserved.

$Id: SIN2.cxx,v 1.1 2007/03/14 23:28:29 xiefang Exp $

*/

#include "SIN2.h"
#include "UnaryTransform.h"

using namespace hippodraw;


SIN2::SIN2 ( UnaryTransform * z )
  : PeriodicBinaryTransform ( z, true, true, false, true,
			      0.0, +360.0,
			      - 90.0, + 90.0 )
{
  m_name = "SIN2";
  const std::string projType("SIN");
  double crpix[] = {180, 90}, crval[] = {180,90}, cdelt[] = {1,1};
  initwcs (projType, crpix, crval, cdelt, 0, false);
}

SIN2::SIN2 ( const SIN2 & t )
  :  PeriodicBinaryTransform ( t )
{
  const std::string projType("SIN");
  double crpix[] = {180, 90}, crval[] = {180,90}, cdelt[] = {1,1};
  initwcs (projType, crpix, crval, cdelt, 0, false);
}

SIN2::~SIN2 ()
{
}

#ifdef CLONE_DEFECT
TransformBase * SIN2::clone () const
#else
SIN2    * SIN2::clone () const
#endif
{
  return new SIN2 ( *this );
}



/* virtual */
double SIN2::aspectRatio () const
{
  return 1.0;
}



