/** @file

STG2 class implementation

Copyright (C) 2002-2005   The Board of Trustees of The Leland
Stanford Junior University.  All Rights Reserved.

$Id: STG2.cxx,v 1.1 2007/03/14 23:28:29 xiefang Exp $

*/

#include "STG2.h"
#include "UnaryTransform.h"

using namespace hippodraw;


STG2::STG2 ( UnaryTransform * z )
  : PeriodicBinaryTransform ( z, true, true, false, true,
			      0.0, +360.0,
			      - 90.0, + 90.0 )
{
  m_name = "STG2";
  const std::string projType("STG");
  double crpix[] = {180, 90}, crval[] = {180,90}, cdelt[] = {1,1};
  initwcs (projType, crpix, crval, cdelt, 0, false);
}

STG2::STG2 ( const STG2 & t )
  :  PeriodicBinaryTransform ( t )
{
  const std::string projType("STG");
  double crpix[] = {180, 90}, crval[] = {180,90}, cdelt[] = {1,1};
  initwcs (projType, crpix, crval, cdelt, 0, false);
}

STG2::~STG2 ()
{
}

#ifdef CLONE_DEFECT
TransformBase * STG2::clone () const
#else
STG2    * STG2::clone () const
#endif
{
  return new STG2 ( *this );
}



/* virtual */
double STG2::aspectRatio () const
{
  return 1.0;
}



